LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
UnoControlDialog Service Referencepublished

specifies a dialog control. More...

`import"UnoControlDialog.idl";`

Inheritance diagram for UnoControlDialog:

## Additional Inherited Members
Exported Interfaces inherited from XUnoControlDialog
interface | com::sun::star::awt::XControlContainer
interface | com::sun::star::awt::XControl
interface | com::sun::star::awt::XWindow
interface | com::sun::star::awt::XTopWindow
interface | com::sun::star::awt::XDialog2
Public Member Functions inherited from XControlContainer
void | setStatusText ([in] string StatusText)
| sets the status text in the status bar of the container. More...
sequence< com::sun::star::awt::XControl > | getControls ()
| returns all controls. More...
com::sun::star::awt::XControl | getControl ([in] string aName)
| returns the control with the specified name. More...
void | addControl ([in] string Name, [in] com::sun::star::awt::XControl Control)
| adds the given control with the specified name to the container. More...
void | removeControl ([in] com::sun::star::awt::XControl Control)
| removes the given control from the container. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XControl
void | setContext ([in] com::sun::star::uno::XInterface Context)
| sets the context of the control. More...
com::sun::star::uno::XInterface | getContext ()
| gets the context of the control. More...
void | createPeer ([in] com::sun::star::awt::XToolkit Toolkit, [in] com::sun::star::awt::XWindowPeer Parent)
| creates a "child" window on the screen. More...
com::sun::star::awt::XWindowPeer | getPeer ()
| returns the peer which was previously created or set. More...
boolean | setModel ([in] com::sun::star::awt::XControlModel Model)
| sets a model for the control. More...
com::sun::star::awt::XControlModel | getModel ()
| returns the model for this control. More...
com::sun::star::awt::XView | getView ()
| returns the view of this control. More...
void | setDesignMode ([in] boolean bOn)
| sets the design mode for use in a design editor. More...
boolean | isDesignMode ()
| returns `TRUE` if the control is in design mode, `FALSE` otherwise. More...
boolean | isTransparent ()
| returns `TRUE` if the control is transparent, `FALSE` otherwise. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XWindow
void | setPosSize ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] short Flags)
| sets the outer bounds of the window. More...
com::sun::star::awt::Rectangle | getPosSize ()
| returns the outer bounds of the window. More...
void | setVisible ([in] boolean Visible)
| shows or hides the window depending on the parameter. More...
void | setEnable ([in] boolean Enable)
| enables or disables the window depending on the parameter. More...
void | setFocus ()
| sets the focus to the window. More...
void | addWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| adds a window listener to the object. More...
void | removeWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| removes the specified window listener from the listener list. More...
void | addFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| adds a focus listener to the object. More...
void | removeFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| removes the specified focus listener from the listener list. More...
void | addKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| adds a key listener to the object. More...
void | removeKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| removes the specified key listener from the listener list. More...
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| adds a mouse listener to the object. More...
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| removes the specified mouse listener from the listener list. More...
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| adds a mouse motion listener to the object. More...
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| removes the specified mouse motion listener from the listener list. More...
void | addPaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| adds a paint listener to the object. More...
void | removePaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| removes the specified paint listener from the listener list. More...
Public Member Functions inherited from XTopWindow
void | addTopWindowListener ([in] com::sun::star::awt::XTopWindowListener xListener)
| adds the specified top window listener to receive window events from this window. More...
void | removeTopWindowListener ([in] com::sun::star::awt::XTopWindowListener xListener)
| removes the specified top window listener so that it no longer receives window events from this window. More...
void | toFront ()
| places this window at the top of the stacking order and shows it in front of any other windows. More...
void | toBack ()
| places this window at the bottom of the stacking order and makes the corresponding adjustment to other visible windows. More...
void | setMenuBar ([in] com::sun::star::awt::XMenuBar xMenu)
| sets a menu bar. More...
Public Member Functions inherited from XDialog2
void | endDialog ([in] long Result)
| hides the dialog and then causes XDialog::execute() to return with the given result value. More...
void | setHelpId ([in] string Id)
| sets the help id so that the standard help button action will show the appropriate help page. More...
Public Member Functions inherited from XDialog
void | setTitle ([in] string Title)
| sets the title of the dialog. More...
string | getTitle ()
| gets the title of the dialog. More...
short | execute ()
| runs the dialog modally: shows it, and waits for the execution to end. More...
void | endExecute ()
| hides the dialog and then causes XDialog::execute() to return. More...

## Detailed Description

specifies a dialog control.

The documentation for this service was generated from the following file:

- com/sun/star/awt/UnoControlDialog.idl